diff -ruN gproftpd-8.0.3.orig/Makefile.in gproftpd-8.0.3/Makefile.in
--- gproftpd-8.0.3.orig/Makefile.in	Thu Mar 13 10:27:46 2003
+++ gproftpd-8.0.3/Makefile.in	Tue Mar 18 22:13:51 2003
@@ -444,28 +444,23 @@
 
 install-data-local:
 	@$(NORMAL_INSTALL)
-	if test -d $(srcdir)/pixmaps; then \
-	   $(mkinstalldirs) $(DESTDIR)$(pkgdatadir); \
-	   for pixmap in $(srcdir)/pixmaps/*; do \
-	     if test -f $$pixmap; then \
-	        $(INSTALL_DATA) $$pixmap $(DESTDIR)$(pkgdatadir); \
-	     fi \
-	   done \
-	fi;
-	cp pixmaps/gproftpd.png /usr/share/pixmaps/
-	if test -d /usr/share/applications; then \
-	   cp desktop/net-gproftpd.desktop /usr/share/applications/; \
-	fi ;
-	if test -d /usr/share/gnome/apps/Internet; then \
-	   cp desktop/net-gproftpd.desktop /usr/share/gnome/apps/Internet/; \
-	fi ;
-	if test ! -d /usr/share/doc/gproftpd-$(VERSION); then \
-	   $(mkinstalldirs) /usr/share/doc/gproftpd-$(VERSION); \
-	   cp AUTHORS /usr/share/doc/gproftpd-$(VERSION); \
-	   cp README /usr/share/doc/gproftpd-$(VERSION); \
-	   cp ChangeLog /usr/share/doc/gproftpd-$(VERSION); \
-	   cp COPYING /usr/share/doc/gproftpd-$(VERSION); \
-	fi;
+	$(MKINSTALLDIRS) $(DESTDIR)$(datadir)/pixmaps/$(PACKAGES)
+	for pixmap in $(srcdir)/pixmaps/*; do \
+	  if test -f $$pixmap; then \
+	    $(INSTALL_DATA) $$pixmap $(DESTDIR)$(datadir)/pixmaps/$(PACKAGE); \
+	  fi \
+	done;
+	$(MKINSTALLDIRS) $(DESTDIR)$(datadir)/pixmaps
+	$(INSTALL_DATA)  pixmaps/gproftpd.png $(DESTDIR)$(datadir)/pixmaps/
+	$(MKINSTALLDIRS) $(DESTDIR)$(datadir)/applications
+	$(INSTALL_DATA) desktop/net-gproftpd.desktop $(DESTDIR)$(datadir)/applications/
+	$(MKINSTALLDIRS) $(DESTDIR)$(datadir)/gnome/apps/Internet
+	$(INSTALL_DATA) desktop/net-gproftpd.desktop $(DESTDIR)$(datadir)/gnome/apps/Internet/
+	$(MKINSTALLDIRS) $(DESTDIR)$(datadir)/doc/gproftpd-$(VERSION)
+	$(INSTALL_DATA) AUTHORS $(DESTDIR)$(datadir)/doc/gproftpd-$(VERSION)
+	$(INSTALL_DATA) README $(DESTDIR)$(datadir)/doc/gproftpd-$(VERSION)
+	$(INSTALL_DATA) ChangeLog $(DESTDIR)$(datadir)/doc/gproftpd-$(VERSION)
+	$(INSTALL_DATA) COPYING $(DESTDIR)$(datadir)/doc/gproftpd-$(VERSION)
 	@echo ""
 	@echo "Start GProFTPD by typing gproftpd in a terminal"
 	@echo "or start it from the menu panels internet section."
diff -ruN gproftpd-8.0.3.orig/src/callbacks.c gproftpd-8.0.3/src/callbacks.c
--- gproftpd-8.0.3.orig/src/callbacks.c	Fri Mar 14 14:26:23 2003
+++ gproftpd-8.0.3/src/callbacks.c	Tue Mar 18 21:47:31 2003
@@ -130,9 +130,9 @@
 	strcpy(in_speed_1_buffer,"");
         strcpy(out_speed_1_buffer,"");
         /* Get incoming speed 1 */
-        if ( (speed_file = popen("cat /proc/net/dev |grep eth0 |cut -c8- |awk '{print $1}' |tr -d \"\r\n\"", "r")) == NULL)
+        if ( (speed_file = popen("netstat -i -n -b | grep en0 | head -n1 | awk '{print $7}' |tr -d \"\r\n\"", "r")) == NULL)
         {
-            printf("cant open /proc/net/dev");
+            printf("cant open en0, unfortunetly it's all the is avail ATM");
             return( 0 );      
         }
 	fflush(speed_file);
@@ -141,9 +141,9 @@
         }
         pclose(speed_file);
         /* Get outgoing speed 1 */
-        if ( (speed_file = popen("cat /proc/net/dev |grep eth0 |cut -c8- |awk '{print $9}' |tr -d \"\r\n\"", "r")) == NULL)
+        if ( (speed_file = popen("netstat -i -n -b | grep en0 | head -n1 | awk '{print $10}' |tr -d \"\r\n\"", "r")) == NULL)
         {
-            printf("cant open /proc/net/dev");
+            printf("cant open en0, unfortunetly it's all the is avail ATM");
             return( 0 );
         }
 	fflush(speed_file);
@@ -163,9 +163,9 @@
              char out_speed_2_buffer[4096]="";
        
              /* Get incoming speed 2 */
-             if ( (speed_file = popen("cat /proc/net/dev |grep eth0 |cut -c8- |awk '{print $1}' |tr -d \"\r\n\"", "r")) == NULL)
+             if ( (speed_file = popen("netstat -i -n -b | grep en0 | head -n1 | awk '{print $7}' |tr -d \"\r\n\"", "r")) == NULL)
              {
-        	printf("cant open /proc/net/dev");
+        	printf("cant open en0, unfortunetly it's all the is avail ATM");
                 return( 0 );   
              }
 	     fflush(speed_file);
@@ -175,9 +175,9 @@
              pclose(speed_file);
 
              /* Get outgoing speed 2 */
-             if ( (speed_file = popen("cat /proc/net/dev |grep eth0 |cut -c8- |awk '{print $9}' |tr -d \"\r\n\"", "r")) == NULL)
+             if ( (speed_file = popen("netstat -i -n -b | grep en0 | head -n1 | awk '{print $10}' |tr -d \"\r\n\"", "r")) == NULL)
              {
-                printf("cant open /proc/net/dev");
+                printf("cant open en0, unfortunetly it's all the is avail ATM");
                 return( 0 );      
              }
 	     fflush(speed_file);
@@ -261,9 +261,9 @@
     global_max_login_attempts = lookup_widget (GTK_WIDGET (widget), "global_max_login_attempts");
     global_timeout_login = lookup_widget (GTK_WIDGET (widget), "global_timeout_login");
     global_delete_aborted_stores = lookup_widget (GTK_WIDGET (widget), "global_delete_aborted_stores");
-    if ( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
-	strcpy(info_buffer, "List entire: Cant open /etc/proftpd.conf\n");
+	strcpy(info_buffer, "List entire: Cant open @FINKPREFIX@/etc/proftpd.conf\n");
         info_window = create_info_window ();
         gtk_widget_show (info_window);
         return;
@@ -551,9 +551,9 @@
     char *buffer, *get_buffer;
     entire_textview = lookup_widget (GTK_WIDGET (widget), "entire_textview");
     
-    if( (fp = fopen("/etc/proftpd.conf", "r")) == NULL )
+    if( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL )
     {
-	strcpy(info_buffer, "List entire: Cant open /etc/proftpd.conf\n");
+	strcpy(info_buffer, "List entire: Cant open @FINKPREFIX@/etc/proftpd.conf\n");
         info_window = create_info_window ();
         gtk_widget_show (info_window);
         return;
@@ -608,9 +608,9 @@
     gtk_list_store_clear(model);
 
     /* Populate the userlist */
-    if ( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
-	printf("List users: Cant open /etc/proftpd.conf\n");
+	printf("List users: Cant open @FINKPREFIX@/etc/proftpd.conf\n");
         info_window = create_info_window ();
         gtk_widget_show (info_window);
         return;
@@ -746,14 +746,14 @@
 
     /* Setup the main window icon */
     pixmap_cell = gtk_cell_renderer_pixbuf_new();
-    main_window_pixbuf=gdk_pixbuf_new_from_file("/usr/share/pixmaps/gproftpd.png", NULL);
+    main_window_pixbuf=gdk_pixbuf_new_from_file("@FINKPREFIX@/share/pixmaps/gproftpd.png", NULL);
     g_object_set(pixmap_cell, "pixbuf", main_window_pixbuf, NULL);
     gproftpd_window = lookup_widget (GTK_WIDGET (widget), "gproftpd_window");
     gtk_window_set_icon (GTK_WINDOW (gproftpd_window), main_window_pixbuf);
     gdk_pixbuf_unref (main_window_pixbuf);
 
-    /* Check if /etc/proftpd.conf exists */
-    if ( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    /* Check if @FINKPREFIX@/etc/proftpd.conf exists */
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
 	/* Report nothing */
     }
@@ -766,9 +766,9 @@
     /* If /etc/proftpd.conf is not found we add one if the user is root */
     if( ! found_conf )
     {
-	if( (fp = fopen("/etc/proftpd.conf", "w+")) == NULL)
+	if( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "w+")) == NULL)
 	{
-    	    strcpy(info_buffer, "Cant open /etc/proftpd.conf for writing\n");
+    	    strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/proftpd.conf for writing\n");
     	    strcat(info_buffer, "the default configuration.\n");
     	    strcat(info_buffer, "Run GProFTPD as root\n");
     	    info_window = create_info_window ();
@@ -811,16 +811,16 @@
 	    fputs(default_buffer, fp);
 	    fclose(fp);
 	    free(default_buffer);
-    	    strcpy(info_buffer, "Couldnt find /etc/proftpd.conf so the\n");
+    	    strcpy(info_buffer, "Couldnt find @FINKPREFIX@/etc/proftpd.conf so the\n");
     	    strcat(info_buffer, "default configuration was added there.\n");
     	    info_window = create_info_window ();
     	    gtk_widget_show (info_window);
         }
     }
-    /* Check if the line /bin/false is in /etc/shells, add that line if its not there. */
-    if( (fp = fopen("/etc/shells", "r"))==NULL)
+    /* Check if the line /usr/bin/false is in /etc/shells, add that line if its not there. */
+    if( (fp = fopen("@FINKPREFIX@/etc/shells", "r"))==NULL)
     {
-        printf("Cant open /etc/shells for reading\n");
+        printf("Cant open @FINKPREFIX@/etc/shells for reading\n");
     }
     else
       {   
@@ -831,29 +831,29 @@
          bzero(shell, sizeof(char) * size_buffer);   
          while (fgets(shell, size_buffer, fp)!=NULL) 
          {
-            if( strstr(shell, "/bin/false") )
+            if( strstr(shell, "/usr/bin/false") )
             found_shell=1;
          }
          fclose(fp);
          free(shell);
          if ( ! found_shell )
          {
-            if( (fp = fopen("/etc/shells", "a"))==NULL)
+            if( (fp = fopen("@FINKPREFIX@/etc/shells", "a"))==NULL)
             {
-                strcpy(info_buffer, "Cant write the line /bin/false to /etc/shells.\n\n");
+                strcpy(info_buffer, "Cant write the line /usr/bin/false to @FINKPREFIX@/etc/shells.\n\n");
                 strcat(info_buffer, "Run GProFTPD as root\n");
                 info_window = create_info_window ();
                 gtk_widget_show (info_window);
 	        return;
             }
             fputs("\n", fp);
-            fputs("/bin/false", fp);
+            fputs("/usr/bin/false", fp);
             fclose(fp);
     	 }
       }
 
     /* Checks if the user nobody exists in /etc/proftpd.conf, if not show a popup */
-    if ( (fp = fopen("/etc/passwd","r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/passwd","r")) == NULL)
     {
     	printf("Error checking for the nobody user at startup\n");
     	return;
@@ -882,9 +882,9 @@
     {
 	/* This can be a hazzle for a newb so we make this user and stick it in /etc/ftpusers */
 	/* The file is created if it doesnt exist (a) */
-	if ( (fp = fopen("/etc/ftpusers", "a")) == NULL)
+	if ( (fp = fopen("@FINKPREFIX@/etc/ftpusers", "a")) == NULL)
 	{
-    	    strcpy(info_buffer, "Cant open /etc/ftpusers for writing\n");
+    	    strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/ftpusers for writing\n");
     	    strcat(info_buffer, "Run GProFTPD as root\n");
     	    info_window = create_info_window ();
     	    gtk_widget_show (info_window);
@@ -895,7 +895,7 @@
 	/* Make the system user */
 	user_add=(char *)malloc(8192);
 	bzero(user_add, 8192);
-	strcpy(user_add, "useradd nobody -c master-ftp-user -d /home/ftp -s /bin/false");
+	strcpy(user_add, "useradd nobody -c master-ftp-user -d @FINKPREFIX@/home/ftp -s /usr/bin/false");
 	if ( (fp = popen(user_add,"w")) == NULL)
 	{
 	    free(user_add);
@@ -903,7 +903,7 @@
 	}
 	pclose(fp);
 	strcpy(info_buffer, "The user nobody has been added to your system\n");
-	strcat(info_buffer, "with a /bin/false shell and put in /etc/ftpusers\n");
+	strcat(info_buffer, "with a /usr/bin/false shell and put in @FINKPREFIX@/etc/ftpusers\n");
 	strcat(info_buffer, "Note, it was not passworded.\n");
 	info_window = create_info_window ();
 	gtk_widget_show (info_window);
@@ -934,21 +934,21 @@
     g_free(utf8);
 
     /* List the transferred files tab */
-    if( (fp = fopen("/var/log/xferlog", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/var/log/xferlog", "r")) == NULL)
     {
-       strcpy(info_buffer, "Cant find /var/log/xferlog.\n\n");
+       strcpy(info_buffer, "Cant find @FINKPREFIX@/var/log/xferlog.\n\n");
        strcat(info_buffer, "If youre running GProFTPD as root\n");
        strcat(info_buffer, "the xferlog has been added for you.\n");
        info_window = create_info_window();
        gtk_widget_show(info_window);
-       system("touch /var/log/xferlog");
+       system("touch @FINKPREFIX@/var/log/xferlog");
     }
     else
       fclose(fp);
 
-    if( (fp = fopen("/var/log/xferlog", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/var/log/xferlog", "r")) == NULL)
     {
-	printf("\nopening /var/log/xferlog failed\n");
+	printf("\nopening @FINKPREFIX@/var/log/xferlog failed\n");
 	return;
     }
     fseek(fp, 0, SEEK_END);
@@ -991,9 +991,9 @@
 
     /* Add all available shells to the loginshell combo */
     shell_combo = lookup_widget(GTK_WIDGET (widget), "shell_combo");
-    if( (fp = fopen("/etc/shells", "r"))==NULL)
+    if( (fp = fopen("@FINKPREFIX@/etc/shells", "r"))==NULL)
     {
-        printf("Cant open /etc/shells for reading\n");
+        printf("Cant open @FINKPREFIX@/etc/shells for reading\n");
     }
     else
       {   
@@ -1004,11 +1004,11 @@
          bzero(shell, sizeof(char) * size_buffer);
          new_buffer=(char *)malloc(size_buffer);
          bzero(new_buffer, sizeof(char) * size_buffer);
-         utf8=g_locale_to_utf8("/bin/false", 10, NULL, NULL, NULL);
+         utf8=g_locale_to_utf8("/usr/bin/false", 10, NULL, NULL, NULL);
          items = g_list_append (items, utf8);
          while (fgets(shell, size_buffer, fp)!=NULL) 
          {
-            if( strstr(shell, "/") && ! strstr(shell, "/bin/false") )
+            if( strstr(shell, "/") && ! strstr(shell, "/usr/bin/false") )
             {
                 sscanf(shell, "%s", new_buffer);
                 utf8=g_locale_to_utf8(new_buffer, strlen(new_buffer), NULL, NULL, NULL);
@@ -1024,11 +1024,11 @@
     }
 
     /* List the security tabs */
-    if( (fp = fopen("/var/log/secure", "r")) == NULL) 
+    if( (fp = fopen("@FINKPREFIX@/var/log/secure", "r")) == NULL) 
     {
-	strcpy(info_buffer, "Couldnt find /var/log/secure\n");
+	strcpy(info_buffer, "Couldnt find @FINKPREFIX@/var/log/secure\n");
 	strcat(info_buffer, "so i added it.\n");
-	system("touch /var/log/secure");
+	system("touch @FINKPREFIX@/var/log/secure");
 	info_window = create_info_window ();
 	gtk_widget_show (info_window);
     }
@@ -1057,9 +1057,9 @@
 	 free(get_buffer);
     }
 
-    if( (fp = fopen("/var/log/secure", "r")) == NULL) 
+    if( (fp = fopen("@FINKPREFIX@/var/log/secure", "r")) == NULL) 
     {
-	strcpy(info_buffer, "Couldnt find /var/log/secure\n\n");
+	strcpy(info_buffer, "Couldnt find @FINKPREFIX@/var/log/secure\n\n");
 	strcat(info_buffer, "Run GProFTPD as root.\n");
         info_window = create_info_window ();
         gtk_widget_show (info_window);
@@ -1179,23 +1179,23 @@
 
     /* List the banned users, if no /etc/ftpusers one is created and all existing users put there (security). */
     banned_textview = lookup_widget (GTK_WIDGET (widget), "banned_textview");
-    if( (fp = fopen("/etc/ftpusers", "r")) == NULL )
+    if( (fp = fopen("@FINKPREFIX@/etc/ftpusers", "r")) == NULL )
     {
-	strcpy(info_buffer, "Couldnt find /etc/ftpusers\n");
+	strcpy(info_buffer, "Couldnt find @FINKPREFIX@/etc/ftpusers\n");
         strcat(info_buffer, "so i made that file and added\n");
         strcat(info_buffer, "all the users on the system to it.\n");
         strcat(info_buffer, "This in an auto security feature.\n");
         info_window = create_info_window ();
         gtk_widget_show (info_window);
-        system("cat /etc/passwd |cut -f1 -d\":\" > /etc/ftpusers");
+        system("cat /etc/passwd |cut -f1 -d\":\" > @FINKPREFIX@/etc/ftpusers");
     }
     else
     fclose(fp);
 
     
-    if( (fp = fopen("/etc/ftpusers", "r")) == NULL )
+    if( (fp = fopen("@FINKPREFIX@/etc/ftpusers", "r")) == NULL )
     {
-        strcpy(info_buffer, "Couldnt find /etc/ftpusers\n");
+        strcpy(info_buffer, "Couldnt find @FINKPREFIX@/etc/ftpusers\n");
         strcat(info_buffer, "Run GProFTPD as root.\n");
         info_window = create_info_window ();
         gtk_widget_show (info_window);
@@ -1240,8 +1240,8 @@
 on_online_button_clicked               (GtkButton       *button,
                                         gpointer         user_data)
 {
-    system("rm -f /etc/shutmsg");
-    system("proftpd -c /etc/proftpd.conf");
+    system("rm -f @FINKPREFIX@/etc/shutmsg");
+    system("proftpd -c @FINKPREFIX@/etc/proftpd.conf");
 }
 
 
@@ -1390,9 +1390,9 @@
     current_change_max_login_attempts = gtk_entry_get_text(GTK_ENTRY(global_max_login_attempts));
     current_change_timeout_login = gtk_entry_get_text(GTK_ENTRY(global_timeout_login));
     current_change_delete_aborted_stores = gtk_entry_get_text(GTK_ENTRY(global_delete_aborted_stores));
-    if( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
-    	strcpy(info_buffer, "Cant open /etc/proftpd.conf\n");
+    	strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/proftpd.conf\n");
     	info_window = create_info_window();
     	gtk_widget_show(info_window);
     	return;
@@ -1543,9 +1543,9 @@
 
 
     /* Write the edited configuration to proftpd.conf */
-    if( (fp = fopen("/etc/proftpd.conf", "w+")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "w+")) == NULL)
     {
-	strcpy(info_buffer, "Cant open /etc/proftpd.conf for writing\n");
+	strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/proftpd.conf for writing\n");
         info_window = create_info_window();
         gtk_widget_show(info_window);
         free(edited_config);
@@ -1655,7 +1655,7 @@
     }
 
     /* Checks if the user exists in /etc/proftpd.conf if so just show a popup */
-    if ( (fp = fopen("/etc/proftpd.conf","r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf","r")) == NULL)
     {
     	printf("Error adding user\n");
     	return;
@@ -1777,7 +1777,7 @@
 	pclose(fp);
 
 	/* Write the new profile */
-	fp = fopen("/etc/proftpd.conf", "a");
+	fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "a");
 	fputs(profile, fp);
 	fclose(fp);
 	free(profile);
@@ -1787,7 +1787,7 @@
 	 strcat(profile, "</Anonymous>\n");
 
          /* Write the new profile */
-	 fp = fopen("/etc/proftpd.conf", "a");
+	 fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "a");
 	 fputs(profile, fp);
 	 fclose(fp);
 	 free(profile);
@@ -1831,11 +1831,11 @@
     /* Delete some unused files if this user has a no real login shell */
     if( strstr(shell, "nologin") || strstr(shell, "false") || strstr(shell, "dev/null") )
     {
-	strcpy(fix_dir, "rm -f /home/ftp/.bash_profile");
-	strcat(fix_dir, " ; rm -f /home/ftp/.bash_logout");
-	strcat(fix_dir, " ; rm -f /home/ftp/.bashrc");
-	strcat(fix_dir, " ; rm -f /home/ftp/.gtkrc");
-	strcat(fix_dir, " ; rm -f /var/spool/mail/");
+	strcpy(fix_dir, "rm -f @FINKPREFIX@/home/ftp/.bash_profile");
+	strcat(fix_dir, " ; rm -f @FINKPREFIX@/home/ftp/.bash_logout");
+	strcat(fix_dir, " ; rm -f @FINKPREFIX@/home/ftp/.bashrc");
+	strcat(fix_dir, " ; rm -f @FINKPREFIX@/home/ftp/.gtkrc");
+	strcat(fix_dir, " ; rm -f @FINKPREFIX@/var/spool/mail/");
 	strcat(fix_dir, username);
 	if ( (fp = popen(fix_dir, "r")) == NULL)
 	{
@@ -1972,7 +1972,7 @@
     profile_max_logins_entry = lookup_widget (GTK_WIDGET (user_profile_window), "profile_max_logins_entry");
     profile_max_logins_spinbutton = lookup_widget (GTK_WIDGET (user_profile_window), "profile_max_logins_spinbutton");
 
-    if ((fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if ((fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
         info_window = create_info_window ();
         gtk_widget_show (info_window);       
@@ -2125,9 +2125,9 @@
     strcat(UserUsername, "\n");
 
     /* Delete the configuration for the deleted user */
-    if ( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
-       strcpy(info_buffer, "Cant open /etc/proftpd.conf\n");
+       strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/proftpd.conf\n");
        strcat(info_buffer, "Run GProFTPD as root\n");
        free(UserUsername);
        info_window = create_info_window ();
@@ -2185,7 +2185,7 @@
     free(szLineBuffer);
     free(szUserBuffer);
     /* Add the new config without the deleted profile */
-    if( (fp = fopen("/etc/proftpd.conf", "w+")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "w+")) == NULL)
     {
         return;
     }
@@ -2284,9 +2284,9 @@
     strcat(UserUsername, "\n");
 
     /* Make changes for this users profile */
-    if ( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
-       strcpy(info_buffer, "\nCant open /etc/proftpd.conf\n");
+       strcpy(info_buffer, "\nCant open @FINKPREFIX@/etc/proftpd.conf\n");
        info_window = create_info_window ();
        gtk_widget_show (info_window);
        return;
@@ -2341,9 +2341,9 @@
     free(old_buffer);
 
     /* Delete the users profile */
-    if ( (fp = fopen("/etc/proftpd.conf", "r")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "r")) == NULL)
     {
-       strcpy(info_buffer, "Cant open /etc/proftpd.conf\n");
+       strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/proftpd.conf\n");
        info_window = create_info_window ();
        gtk_widget_show (info_window);
        return;
@@ -2395,7 +2395,7 @@
     free(szUserBuffer);
 
     /* Add the new config with the changed profile */
-    if ( (fp = fopen("/etc/proftpd.conf", "w+")) == NULL) 
+    if ( (fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "w+")) == NULL) 
     {
         return;
     }
@@ -2418,7 +2418,7 @@
     /* Ask what file(date) to restore (later) */
     GtkWidget *userlist_treeview;
     GtkWidget *entire_textview;
-    system("cp /etc/gproftpd/proftpd.conf /etc");
+    system("cp @FINKPREFIX@/etc/gproftpd/proftpd.conf @FINKPREFIX@/etc");
     userlist_treeview = lookup_widget (GTK_WIDGET (button), "userlist_treeview");
     entire_textview = lookup_widget (GTK_WIDGET (button), "entire_textview");
     list_users(userlist_treeview, NULL);
@@ -2433,7 +2433,7 @@
                                         gpointer         user_data)
 {
     /* Set date/time */
-    system("cp /etc/proftpd.conf /etc/gproftpd"); 
+    system("cp @FINKPREFIX@/etc/proftpd.conf @FINKPREFIX@/etc/gproftpd"); 
 }
 
 
@@ -2444,9 +2444,9 @@
     FILE *fp;
     GtkWidget *info_window;
     char *check_buffer;
-    if ( (fp = popen("proftpd -t -c /etc/proftpd.conf 2>&1", "r")) == NULL)
+    if ( (fp = popen("proftpd -t -c @FINKPREFIX@/etc/proftpd.conf 2>&1", "r")) == NULL)
     {
-       strcpy(info_buffer, "Cant open /etc/proftpd.conf\n");
+       strcpy(info_buffer, "Cant open @FINKPREFIX@/etc/proftpd.conf\n");
        info_window = create_info_window ();
        gtk_widget_show (info_window);       
        return;
@@ -2482,7 +2482,7 @@
     gtk_text_buffer_get_bounds(entire_config_text_buffer, &start, &end);
     config_buffer = gtk_text_iter_get_text(&start, &end);
     /* Stick it in /etc/proftpd.conf */
-    fp = fopen("/etc/proftpd.conf", "w+");
+    fp = fopen("@FINKPREFIX@/etc/proftpd.conf", "w+");
     fputs (config_buffer, fp);
     fclose (fp);
     /* Update the global tab, userlist, and the entire tab */
@@ -2566,24 +2566,24 @@
     char *get_file_buffer;
     gchar *utf8=NULL;
     GtkTextBuffer *file_text_buffer;
-    system("rm -f /var/log/xferlog");
-    system("touch /var/log/xferlog");
+    system("rm -f @FINKPREFIX@/var/log/xferlog");
+    system("touch @FINKPREFIX@/var/log/xferlog");
     files_textview = lookup_widget (GTK_WIDGET (button), "files_textview");
-    if( (fp = fopen("/var/log/xferlog", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/var/log/xferlog", "r")) == NULL)
     {
-       strcpy(info_buffer, "Cant find /var/log/xferlog.\n\n");
+       strcpy(info_buffer, "Cant find @FINKPREFIX@/var/log/xferlog.\n\n");
        strcat(info_buffer, "If youre running GProFTPD as root\n");
        strcat(info_buffer, "the xferlog has been added for you.\n");
        info_window = create_info_window();
        gtk_widget_show(info_window);
-       system("touch /var/log/xferlog");
+       system("touch @FINKPREFIX@/var/log/xferlog");
        return;
     }
     fclose(fp);
 
-    if( (fp = fopen("/var/log/xferlog", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/var/log/xferlog", "r")) == NULL)
     {
-       printf("Opening /var/log/xferlog failed\n");
+       printf("Opening @FINKPREFIX@/var/log/xferlog failed\n");
     }
     fseek(fp, 0, SEEK_END);
     size_buffer = ftell(fp);
@@ -2621,21 +2621,21 @@
     char *get_file_buffer;
     gchar *utf8=NULL;
     files_textview = lookup_widget (GTK_WIDGET (button), "files_textview");
-    if( (fp = fopen("/var/log/xferlog", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/var/log/xferlog", "r")) == NULL)
     {
-       strcpy(info_buffer, "Cant find /var/log/xferlog.\n\n");
+       strcpy(info_buffer, "Cant find @FINKPREFIX@/var/log/xferlog.\n\n");
        strcat(info_buffer, "If youre running GProFTPD as root\n");
        strcat(info_buffer, "the xferlog has been added for you.\n");
        info_window = create_info_window ();
        gtk_widget_show (info_window);
-       system("touch /var/log/xferlog");
+       system("touch @FINKPREFIX@/var/log/xferlog");
        return;
     }
     fclose(fp);
 
-    if( (fp = fopen("/var/log/xferlog", "r")) == NULL)
+    if( (fp = fopen("@FINKPREFIX@/var/log/xferlog", "r")) == NULL)
     {
-       printf("\nopen /var/log/xferlog failed\n");
+       printf("\nopen @FINKPREFIX@/var/log/xferlog failed\n");
     }
     fseek(fp, 0, SEEK_END);
     size_buffer = ftell(fp);
@@ -2674,11 +2674,11 @@
     char *get_s_buf;
     gchar *utf8=NULL;
     GtkTextBuffer *security_text_buffer;
-    if( (fp = fopen("/var/log/secure", "r")) == NULL) 
+    if( (fp = fopen("@FINKPREFIX@/var/log/secure", "r")) == NULL) 
     {
-       strcpy(info_buffer, "Couldnt find /var/log/secure\n\n");
+       strcpy(info_buffer, "Couldnt find @FINKPREFIX@/var/log/secure\n\n");
        strcat(info_buffer, "so i added it.\n");
-       system("touch /var/log/secure");
+       system("touch @FINKPREFIX@/var/log/secure");
        info_window = create_info_window();
        gtk_widget_show(info_window);
        return;
@@ -2704,11 +2704,11 @@
     gtk_text_buffer_set_text(security_text_buffer, utf8, strlen(utf8));
     fclose(fp);
 
-    if( (fp = fopen("/var/log/secure", "r")) == NULL) 
+    if( (fp = fopen("@FINKPREFIX@/var/log/secure", "r")) == NULL) 
     {
-       strcpy(info_buffer, "Couldnt find /var/log/secure\n\n");
+       strcpy(info_buffer, "Couldnt find @FINKPREFIX@/var/log/secure\n\n");
        strcat(info_buffer, "so i added it.\n");
-       system("touch /var/log/secure");
+       system("touch @FINKPREFIX@/var/log/secure");
        info_window = create_info_window();
        gtk_widget_show(info_window);
        return;
@@ -2768,13 +2768,13 @@
     access_text_buffer = gtk_text_view_get_buffer(GTK_TEXT_VIEW(banned_textview));
     gtk_text_buffer_get_bounds(access_text_buffer, &start, &end);
     profile = gtk_text_iter_get_text(&start, &end);
-    if ( (fp = fopen("/etc/ftpusers", "w+")) == NULL)
+    if ( (fp = fopen("@FINKPREFIX@/etc/ftpusers", "w+")) == NULL)
     {
-       strcpy(info_buffer, "Couldnt open /etc/ftpusers for writing\n");
+       strcpy(info_buffer, "Couldnt open @FINKPREFIX@/etc/ftpusers for writing\n");
        strcat(info_buffer, "This is not good, Run GProFTPD as root\n");
        info_window = create_info_window();
        gtk_widget_show(info_window);
-       printf("\nError saving /etc/ftpusers\n");
+       printf("\nError saving @FINKPREFIX@/etc/ftpusers\n");
        return;
     }
     fputs (profile, fp);
@@ -2813,7 +2813,7 @@
 	return;
     }
     /* Put the banned user in /etc/ftpusers */
-    fp = fopen("/etc/ftpusers", "a");
+    fp = fopen("@FINKPREFIX@/etc/ftpusers", "a");
     fputs("\n", fp);
     fputs(kick_ban_username, fp);
     fclose(fp);
@@ -2847,9 +2847,9 @@
     free(kick_ban_pid);
     free(kick_ban);
     /* Update user control tab from /etc/ftpusers */
-    if( (fp = fopen("/etc/ftpusers", "r")) == NULL )
+    if( (fp = fopen("@FINKPREFIX@/etc/ftpusers", "r")) == NULL )
     {
-       strcpy(info_buffer, "Couldnt find /etc/ftpusers\n");
+       strcpy(info_buffer, "Couldnt find @FINKPREFIX@/etc/ftpusers\n");
        strcat(info_buffer, "This is not good, run GProFTPD as root.\n");
        info_window = create_info_window();
        gtk_widget_show(info_window);
